# Rate limits

All backend endpoints are publicly accessible. However, to prevent hitting rate limits quickly, requests **must** include the `x-api-key` header.

API requests are rate-limited per **API key** and **IP address**, covering most standard integration needs. If the request limit is exceeded, the server will respond with an `HTTP`` `**`429 – Too Many Requests`** status code.

If your bot is receiving this error despite staying within the fair limits, or if you wish to request a higher rate limit, please create a [support ticket](https://discord.com/channels/843170059006640179/986580658015076353)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.polynomial.fi/developer-documentation/api/rate-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
